SpriteLibrary

# SpriteDatabase
ReadFromXmlString
T
Method

This is a generic function which the SpriteDatabase uses. It does XML Deserialization of most anything, and generates an XML String. XML Serialization will take any public value of a public class and make an XML entry for it. It is a very convienent way to save and retrieve data. You can "Serialize" the value with the WriteToXMLString function.

Namespace: SpriteLibrary
Assembly: SpriteLibrary (in SpriteLibrary.dll) Version: 1.0.0.5 (1.0.0.5)
Syntax
C#
Copy

    public static T ReadFromXmlString<T>(
    	string toDeserialize
    )
    where T : new()

#### Parameters

toDeserialize
  Type: System
  String
  an XML string, of something you serialized previously

#### Type Parameters

T
  The type of the item that you are trying to deserialize

#### Return Value

Type: T
An object of type T
See Also

#### Reference

SpriteDatabase Class
SpriteLibrary Namespace